﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinEditors;
using System.Diagnostics;
using Infragistics.Win;

namespace UltraDateTimeEditorMaskTime
{
    public partial class Form1 : Form
    {
        private static MonthCalendar mc;
        public Form1()
        {
            InitializeComponent();
            mc = new MonthCalendar();
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            MessageBox.Show(ultraDateTimeEditor1.Value.ToString());
        }

        private void ultraDateTimeEditor1_BeforeDropDown(object sender, CancelEventArgs e)
        {
            e.Cancel = true;
            mc.Parent = this;
            mc.Location = new Point(ultraDateTimeEditor1.Location.X, ultraDateTimeEditor1.Location.Y + 23);
            mc.Show();
            mc.DateSelected += new DateRangeEventHandler(mc_DateSelected);
        }

        void mc_DateSelected(object sender, DateRangeEventArgs e)
        {
            ultraDateTimeEditor1.DateTime = e.Start.Date.AddHours(ultraDateTimeEditor1.DateTime.Hour).AddMinutes(ultraDateTimeEditor1.DateTime.Minute).AddSeconds(ultraDateTimeEditor1.DateTime.Second);
            mc.Hide();
        }
    }
}
